Quick-Cocos2d-x

Quick 社区版对 CocoStudio 的支持说明

注:本文针对Quick-Cocos2d-Community 3.6

支持的CocoStudio

Studio版本众多,但其主要可以按版本分为两大类,即 Studio1.x(Studio一代)和 Studio2.x(Studio二代)。

社区版引擎基于 Quick-Cocos2d-x3.3final,官方给出的对应的Studio版本为 2.x 中的 v2.0.6。当然,更高版本的 Studio 在该引擎中也不是一定不能用,但兼容性肯定不好(吐槽下,对应的 v2.0.6 兼容性也没见得特别好),所以不建议使用。

另外,一般来说高版本的引擎能加载低版本的 Studio1.x 数据,所以社区版引擎中也支持低版本的 Studio1.x 数据。如果在社区版中要使用低版本的 Studio1.x 数据,建议使用相对稳定且比较经典的 Studio 1.6 作为编辑器。(注:Studio1.x在社区版引擎中不完全兼容,但一般可用。)

阅读全文»

Windows 下编译 Quick-Cocos2dx-Community 的 Android 版本

内容选自:《Cocos2d-x 之Lua 核心编程》

Quick-Cocos2dx-Community 是跨平台的游戏引擎,支持时下流行的 Android 移动操作系统。本节将教大家如何在 Windows 上把已经开发好的游戏打包为 Android 上可运行的 apk 文件。

Quick-Cocos2dx-Community Android 打包分以下几个步骤:

  1. 安装 JDK
  2. 安装 ADT
  3. 安装 NDK
  4. 安装 Apache Ant
  5. 编译项目

前 4 个步骤搭建环境,仅需做一次,除非引擎更新需要更高的开发环境,否则不建议经常更新它们。如果编译环境已配置妥当,那么直接进入第 5 步:编译项目。

本文以 Windows 7 为例进行截图。

阅读全文»

Mac 下编译 Quick-Cocos2dx-Community 的 Android 版本

内容选自:《Cocos2d-x 之Lua 核心编程》

Quick-Cocos2dx-Community Android 打包分以下几个步骤:

  1. 安装 JDK
  2. 安装 ADT
  3. 安装 NDK
  4. 安装 Apache Ant
  5. 编译项目

前 4 个步骤搭建环境,仅需做一次,除非引擎更新需要更高的开发环境,否则不建议经常更新它们。如果编译环境已配置妥当,那么直接进入第 5 步:编译项目。

安装 JDK

打开 Java SE 官方网站:http://www.oracle.com/technetwork/java/javase/downloads/index.html

网页打开后滚动到Java SE 7u75/76部分,然后点击 JDK Download 按钮,如下图所示:

jdk7page.png

建议安装 JDK 7 以上版本。

阅读全文»

[Bugfix]Cocos2d-x TileMap getTileAt() 导致瓷砖显示异常

存在 bug 的版本

Quick-Cocos2dx-Community 3.6 Beta2 及以下版本。
Cocos2d-x 3.x 所有版本。

bug 将在 Quick-Cocos2dx-Community 3.6 release 中修正。

bug 描述

TiledMap中存在旋转或翻转的瓷砖,在初次加载的时候显示正常。一旦掉用getTileAt()之后,对应的瓷砖将丢失旋转或翻转属性,界面显示混乱。

阅读全文»

Quick-Cocos2dx-Community 3.6 Beta2 更新说明

信息

版本号:v3.6 beta2,build e0032f7
下载地址:http://pan.baidu.com/s/1hujvS

v3.6 beta1 的更新信息点 这里.

beta2 将是 3.6 的最后一个测试版本,release版本将很快发布。

新增

修正

  • 修正新增的sample没有预览图片的问题。
  • 修正塔防sample存档之后不能启动的bug。
  • 修正setup_win.bat中的错误提示。
  • 增强setup_mac.sh的异常处理,并更新说明文档。
  • win32 player 打包加入运行库,并能正确显示log。
  • 修正 Android 编译ndk时候找不到opengl头文件的错误。

删除

  • 去掉 build_apk 脚本(脚本需要Android环境支持,并不能直接运行)。

Quick-Cocos2dx-Community 中 64 位 Luajit 使用说明

在 3.6 中,我们加入了 Luajit 2.1 以支持 64 位 bytecode,并替换掉了原生lua。
由于android并没有强制要求64位,Luajit在不用的平台使用不同的位数支持。情况如下:

  • Android、Win32、Mac 继续使用32位的jit。
  • iOS更新硬件来决定使用的jit位数,5s以上设备使用64位jit,以下设备使用32位jit。

阅读全文»

quick-community-dev插件安装

此插件为Sublime Text插件(建议安装sublime 3.x),且基于QuickXDev进行修改,从而为Quick社区版Quick-Cocos2dx-Community提供支持。

vim 开发插件请移步到:https://github.com/u0u0/vim-quick-community

在此,特别感谢QuickXDev开发者为众多quick使用者在开发过程中所带来的便利。本文所述插件将站在巨人的肩膀上进行修改与维护,再次感谢QuickXDev开发者。

下文将介绍如何为Sublime Text本地手动安装此插件。

阅读全文»

?>